Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 604126 - ValueError: Error parsing "proxy = 'intel-s3ea2-02.rhts.eng.bos.redhat.com:80'": URL must be http, ftp or https not "intel-s3ea2-02.rhts.eng.bos.redhat.com"
ValueError: Error parsing "proxy = 'intel-s3ea2-02.rhts.eng.bos.redhat.com:80...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.0
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Brian Lane
Release Test Team
anaconda_trace_hash:0b047f3d8883370fc...
:
Depends On:
Blocks: 582286
  Show dependency treegraph
 
Reported: 2010-06-15 09:28 EDT by Alexander Todorov
Modified: 2010-11-10 14:48 EST (History)
1 user (show)

See Also:
Fixed In Version: anaconda-13.21.55-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 14:48:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (213.91 KB, text/plain)
2010-06-15 09:28 EDT, Alexander Todorov
no flags Details
Check proxy url in loader (1.09 KB, patch)
2010-06-28 19:53 EDT, Brian Lane
no flags Details | Diff

  None (edit)
Description Alexander Todorov 2010-06-15 09:28:28 EDT
The following was filed automatically by anaconda:
anaconda 13.21.50 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.6/site-packages/yum/config.py", line 97, in __set__
    value, str(e)))
  File "/usr/lib/python2.6/site-packages/yum/config.py", line 508, in populate
    setattr(self, name, value)
  File "/usr/lib/python2.6/site-packages/yum/config.py", line 862, in readMainConfig
    yumconf.populate(startupconf._parser, 'main')
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 285, in _getConfig
    self._conf = config.readMainConfig(startupconf)
  File "/usr/lib/anaconda/yuminstall.py", line 692, in doConfigSetup
    YumSorter._getConfig(self)
  File "/usr/lib/anaconda/yuminstall.py", line 353, in setup
    self.doConfigSetup(root=self.anaconda.rootPath)
  File "/usr/lib/anaconda/yuminstall.py", line 1191, in doBackendSetup
    self.ayum.setup()
  File "/usr/lib/anaconda/backend.py", line 285, in doBackendSetup
    if anaconda.backend.doBackendSetup(anaconda) == DISPATCH_BACK:
  File "/usr/lib/anaconda/dispatch.py", line 208, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 126, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1423, in setScreen
    self.anaconda.dispatch.gotoNext()
  File "/usr/lib/anaconda/gui.py", line 1336, in nextClicked
    self.setScreen ()
  File "/usr/lib/anaconda/gui.py", line 1473, in keyRelease
    self.nextClicked()
ValueError: Error parsing "proxy = 'intel-s3ea2-02.rhts.eng.bos.redhat.com:80'": URL must be http, ftp or https not "intel-s3ea2-02.rhts.eng.bos.redhat.com"
Comment 1 Alexander Todorov 2010-06-15 09:28:34 EDT
Created attachment 424154 [details]
Attached traceback automatically from anaconda.
Comment 2 Alexander Todorov 2010-06-15 09:32:57 EDT
See this for earlier description of this bug:
https://bugzilla.redhat.com/show_bug.cgi?id=567982#c7


Steps to reproduce:
1) Boot anaconda from boot.iso
2) In loader select to install from URL
3) Type the URL and specify Proxy
4) For proxy URL type only host:port, without the protocol prefix

In stage2 after disk partitioning you get this traceback. 

Bug #567982 fixes the same thing when proxy=host:port is specified on the command line. The comment referenced above asks that the part of code which adds the protocol prefix (expected by yum later) be moved after the URL settings screen.
Comment 3 Brian Lane 2010-06-28 19:53:12 EDT
Created attachment 427530 [details]
Check proxy url in loader
Comment 5 Alexander Todorov 2010-07-05 09:05:41 EDT
With anaconda-13.21.56-1.el6 loader warns the user that proxy needs to be http:// or ftp:// URL not only host:port.

Adding the http:// prefix let me continue to stage2 where yum repositories were setup correctly wrt proxy URL. Moving to VERIFIED.
Comment 6 releng-rhel@redhat.com 2010-11-10 14:48:12 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.